<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\Dokumente\DokumenteDownload;

class DokumenteDownloadController extends \Kufer\Web\KuferTools\Basis\Dokumente\DokumenteDownload\DokumenteDownloadController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new DokumenteDownloadUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DokumenteDownloadPresenter($pUseCaseResponse);
  }

  protected function getFailureController($pUseCaseResponse): \Kufer\Web\KuferTools\Basis\Controller\Controller
  {
    return new \Kufer\Web\KuferTools\Firma\Dokumente\DokumenteUebersicht\DokumenteUebersichtController();
  }
}